ros-kinetic-rospy (1.12.17-1xenial) xenial; urgency=high

  * Update maintainers (#2075 <https://github.com/ros/ros_comm/issues/2075>)
  * Fix log*_throttle with sim time (#2044 <https://github.com/ros/ros_comm/issues/2044>)
  * Update local parameter cache on set_param (#2021 <https://github.com/ros/ros_comm/issues/2021>)
  * Contributors: Jacob Perron, Markus Grimm, Shane Loretz, salihmarangoz

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 26 Oct 2020 07:00:00 -0000

ros-kinetic-rospy (1.12.16-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 26 Aug 2020 07:00:00 -0000

ros-kinetic-rospy (1.12.15-1xenial) xenial; urgency=high

  * remove not existing NodeProxy from rospy __all__ (#2007 <https://github.com/ros/ros_comm/issues/2007>)
  * fix dictionary changed size during iteration (#1894 <https://github.com/ros/ros_comm/issues/1894>)
  * do not raise socket exception during shutdown (#1720 <https://github.com/ros/ros_comm/issues/1720>)
  * add missing comma in the list of strings (#1760 <https://github.com/ros/ros_comm/issues/1760>)
  * fix error handling for Topic constructor (#1701 <https://github.com/ros/ros_comm/issues/1701>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 10 Aug 2020 07:00:00 -0000

ros-kinetic-rospy (1.12.14-1xenial) xenial; urgency=high

  * fix some errors in some probably not frequented code paths (#1415 <https://github.com/ros/ros_comm/issues/1415>)
  * fix thread problem with get_topics() (#1416 <https://github.com/ros/ros_comm/issues/1416>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 23 Aug 2018 07:00:00 -0000

ros-kinetic-rospy (1.12.13-1xenial) xenial; urgency=high

  * raise the correct exception from AnyMsg.serialize (#1311 <https://github.com/ros/ros_comm/issues/1311>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 21 Feb 2018 08:00:00 -0000

ros-kinetic-rospy (1.12.12-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 16 Nov 2017 08:00:00 -0000

ros-kinetic-rospy (1.12.11-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 07 Nov 2017 08:00:00 -0000

ros-kinetic-rospy (1.12.10-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 06 Nov 2017 08:00:00 -0000

ros-kinetic-rospy (1.12.9-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 06 Nov 2017 08:00:00 -0000

ros-kinetic-rospy (1.12.8-1xenial) xenial; urgency=high

  * change rospy.Rate hz type from int to float (#1177 <https://github.com/ros/ros_comm/issues/1177>)
  * improve rospy.logXXX_throttle performance (#1091 <https://github.com/ros/ros_comm/pull/1091>)
  * add option to reset timer when time moved backwards (#1083 <https://github.com/ros/ros_comm/issues/1083>)
  * abort topic lookup on connection refused (#1044 <https://github.com/ros/ros_comm/pull/1044>)
  * sleep in rospy wait_for_service even if exceptions raised (#1025 <https://github.com/ros/ros_comm/pull/1025>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 06 Nov 2017 08:00:00 -0000

ros-kinetic-rospy (1.12.7-1xenial) xenial; urgency=high

  * make get_published_topics threadsafe (#958 <https://github.com/ros/ros_comm/issues/958>)
  * use poll in write_header() if available to support higher numbered fileno (#929 <https://github.com/ros/ros_comm/pull/929>)
  * use epoll instead of poll if available to gracefully close hung connections (#831 <https://github.com/ros/ros_comm/issues/831>)
  * fix Python 3 compatibility issues (#565 <https://github.com/ros/ros_comm/issues/565>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 17 Feb 2017 08:00:00 -0000

ros-kinetic-rospy (1.12.6-1xenial) xenial; urgency=high

  * improve reconnection logic on timeout and other common errors (#851 <https://github.com/ros/ros_comm/pull/851>)
  * remove duplicated function (#783 <https://github.com/ros/ros_comm/pull/783>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 26 Oct 2016 07:00:00 -0000

ros-kinetic-rospy (1.12.5-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 30 Sep 2016 07:00:00 -0000

ros-kinetic-rospy (1.12.4-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 19 Sep 2016 07:00:00 -0000

ros-kinetic-rospy (1.12.3-1xenial) xenial; urgency=high

  * raise error on rospy.init_node with None or empty node name string (#895 <https://github.com/ros/ros_comm/pull/895>)
  * fix wrong type in docstring for rospy.Timer (#878 <https://github.com/ros/ros_comm/pull/878>)
  * fix order of init and publisher in example (#873 <https://github.com/ros/ros_comm/pull/873>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 17 Sep 2016 07:00:00 -0000

ros-kinetic-rospy (1.12.2-1xenial) xenial; urgency=high

  * add logXXX_throttle functions (#812 <https://github.com/ros/ros_comm/pull/812>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 03 Jun 2016 07:00:00 -0000

ros-kinetic-rospy (1.12.1-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Apr 2016 07:00:00 -0000

ros-kinetic-rospy (1.12.0-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 18 Mar 2016 07:00:00 -0000

ros-kinetic-rospy (1.11.18-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 17 Mar 2016 07:00:00 -0000

ros-kinetic-rospy (1.11.17-1xenial) xenial; urgency=high

  * preserve identity of numpy_msg(T) (#758 <https://github.com/ros/ros_comm/pull/758>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 11 Mar 2016 08:00:00 -0000

ros-kinetic-rospy (1.11.16-1xenial) xenial; urgency=high

  * catch ROSInterruptException from rospy timers when shutting down (#690 <https://github.com/ros/ros_comm/pull/690>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 09 Nov 2015 08:00:00 -0000

ros-kinetic-rospy (1.11.15-1xenial) xenial; urgency=high

  * validate name after remapping (#669 <https://github.com/ros/ros_comm/pull/669>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 13 Oct 2015 07:00:00 -0000

ros-kinetic-rospy (1.11.14-1xenial) xenial; urgency=high

  * fix memory/thread leak with QueuedConnection (#661 <https://github.com/ros/ros_comm/pull/661>)
  * fix signaling already shutdown to client hooks with the appropriate signature (#651 <https://github.com/ros/ros_comm/issues/651>)
  * fix bug with missing current logger levels (#631 <https://github.com/ros/ros_comm/pull/631>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 19 Sep 2015 07:00:00 -0000

ros-kinetic-rospy (1.11.13-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 28 Apr 2015 07:00:00 -0000

ros-kinetic-rospy (1.11.12-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 27 Apr 2015 07:00:00 -0000

ros-kinetic-rospy (1.11.11-1xenial) xenial; urgency=high

  * add rosconsole command line tool to change logger levels (#576 <https://github.com/ros/ros_comm/pull/576>)
  * add accessor for remaining time of the Rate class (#588 <https://github.com/ros/ros_comm/pull/588>)
  * fix high latency when using asynchronous publishing (#547 <https://github.com/ros/ros_comm/issues/547>)
  * fix error handling when publishing on Empty topic (#566 <https://github.com/ros/ros_comm/pull/566>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 16 Apr 2015 07:00:00 -0000

ros-kinetic-rospy (1.11.10-1xenial) xenial; urgency=high

  * add specific exception for time jumping backwards (#485 <https://github.com/ros/ros_comm/issues/485>)
  * make param functions thread-safe (#523 <https://github.com/ros/ros_comm/pull/523>)
  * fix infinitely retrying subscriber (#533 <https://github.com/ros/ros_comm/issues/533>)
  * fix removal of QueuedConnection leading to wrong subscriber count (#526 <https://github.com/ros/ros_comm/issues/526>)
  * fix TCPROS header validation when callerid header is not set (#522 <https://github.com/ros/ros_comm/issues/522>, regression from 1.11.1)
  * fix memory leak when using subcriber statistics (#520 <https://github.com/ros/ros_comm/issues/520>)
  * fix reported traffic in bytes from Python nodes (#501 <https://github.com/ros/ros_comm/issues/501>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 22 Dec 2014 08:00:00 -0000

ros-kinetic-rospy (1.11.9-1xenial) xenial; urgency=high

  * populate delivered_msgs field of TopicStatistics message (#486 <https://github.com/ros/ros_comm/issues/486>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Aug 2014 07:00:00 -0000

ros-kinetic-rospy (1.11.8-1xenial) xenial; urgency=high

  * fix topic/connection statistics reporting code (#482 <https://github.com/ros/ros_comm/issues/482>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 04 Aug 2014 07:00:00 -0000

ros-kinetic-rospy (1.11.7-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 18 Jul 2014 07:00:00 -0000

ros-kinetic-rospy (1.11.6-1xenial) xenial; urgency=high

  * make MasterProxy thread-safe (#459 <https://github.com/ros/ros_comm/issues/459>)
  * check ROS_HOSTNAME for localhost / ROS_IP for 127./::1 and prevent connections from other hosts in that case (#452 <https://github.com/ros/ros_comm/issues/452>)_

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 10 Jul 2014 07:00:00 -0000

ros-kinetic-rospy (1.11.5-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 24 Jun 2014 07:00:00 -0000

ros-kinetic-rospy (1.11.4-1xenial) xenial; urgency=high

  * Python 3 compatibility (#426 <https://github.com/ros/ros_comm/issues/426>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 16 Jun 2014 07:00:00 -0000

ros-kinetic-rospy (1.11.3-1xenial) xenial; urgency=high

  * allow shutdown hooks to be any callable object (#410 <https://github.com/ros/ros_comm/issues/410>)
  * add demux program and related scripts (#407 <https://github.com/ros/ros_comm/issues/407>)
  * add publisher queue_size to rostopic

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 21 May 2014 07:00:00 -0000

ros-kinetic-rospy (1.11.2-1xenial) xenial; urgency=high

  * use publisher queue_size for statistics (#398 <https://github.com/ros/ros_comm/issues/398>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 08 May 2014 07:00:00 -0000

ros-kinetic-rospy (1.11.1-1xenial) xenial; urgency=high

  * improve asynchonous publishing performance (#373 <https://github.com/ros/ros_comm/issues/373>)
  * add warning when queue_size is omitted for rospy publisher (#346 <https://github.com/ros/ros_comm/issues/346>)
  * add optional topic/connection statistics (#398 <https://github.com/ros/ros_comm/issues/398>)
  * add transport information in SlaveAPI::getBusInfo() for roscpp & rospy (#328 <https://github.com/ros/ros_comm/issues/328>)
  * allow custom error handlers for services (#375 <https://github.com/ros/ros_comm/issues/375>)
  * add architecture_independent flag in package.xml (#391 <https://github.com/ros/ros_comm/issues/391>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 07 May 2014 07:00:00 -0000

ros-kinetic-rospy (1.11.0-1xenial) xenial; urgency=high

  * fix exception handling for queued connections (#369 <https://github.com/ros/ros_comm/issues/369>)
  * use catkin_install_python() to install Python scripts (#361 <https://github.com/ros/ros_comm/issues/361>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 04 Mar 2014 08:00:00 -0000

ros-kinetic-rospy (1.10.0-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 11 Feb 2014 08:00:00 -0000

ros-kinetic-rospy (1.9.54-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 27 Jan 2014 08:00:00 -0000

ros-kinetic-rospy (1.9.53-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 14 Jan 2014 08:00:00 -0000

ros-kinetic-rospy (1.9.52-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 08 Jan 2014 08:00:00 -0000

ros-kinetic-rospy (1.9.51-1xenial) xenial; urgency=high

  * implement optional queueing for rospy publications (#169 <https://github.com/ros/ros_comm/issues/169>)
  * overwrite __repr__ for rospy.Duration and Time (ros/genpy#24 <https://github.com/ros/genpy/issues/24>)
  * add missing dependency on roscpp

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 07 Jan 2014 08:00:00 -0000

ros-kinetic-rospy (1.9.50-1xenial) xenial; urgency=high

  * add support for python coverage tool to work in callbacks

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 04 Oct 2013 07:00:00 -0000

ros-kinetic-rospy (1.9.49-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 16 Sep 2013 07:00:00 -0000

ros-kinetic-rospy (1.9.48-1xenial) xenial; urgency=high

  * make rospy nodes killable while waiting for master (#262 <https://github.com/ros/ros_comm/issues/262>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 21 Aug 2013 07:00:00 -0000

ros-kinetic-rospy (1.9.47-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 03 Jul 2013 07:00:00 -0000

ros-kinetic-rospy (1.9.46-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 18 Jun 2013 07:00:00 -0000

ros-kinetic-rospy (1.9.45-1xenial) xenial; urgency=high

  * add missing run_depend on python-yaml
  * allow configuration of ports for XML RPCs and TCP ROS
  * fix race condition where rospy subscribers do not connect to all publisher
  * fix closing and deregistering connection when connect fails (#128 <https://github.com/ros/ros_comm/issues/128>)
  * fix log level of RosOutHandler (#210 <https://github.com/ros/ros_comm/issues/210>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 06 Jun 2013 07:00:00 -0000

ros-kinetic-rospy (1.9.44-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 21 Mar 2013 07:00:00 -0000

ros-kinetic-rospy (1.9.43-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 13 Mar 2013 07:00:00 -0000

ros-kinetic-rospy (1.9.42-1xenial) xenial; urgency=high

  * make dependencies on rospy optional by refactoring RosStreamHandler to rosgraph (#179 <https://github.com/ros/ros_comm/issues/179>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 08 Mar 2013 08:00:00 -0000

ros-kinetic-rospy (1.9.41-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 24 Jan 2013 08:00:00 -0000

ros-kinetic-rospy (1.9.40-1xenial) xenial; urgency=high

  * add colorization for rospy log output (#3691 <https://code.ros.org/trac/ros/ticket/3691>)
  * fix socket polling under Windows (#3959 <https://code.ros.org/trac/ros/ticket/3959>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sun, 13 Jan 2013 08:00:00 -0000

ros-kinetic-rospy (1.9.39-1xenial) xenial; urgency=high

  * first public release for Groovy

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 29 Dec 2012 08:00:00 -0000


